> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mixpanel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Authentication

A [service account](/reference/service-accounts) is necessary to authenticate Warehouse Connectors API requests. Once you have created a service account and obtained your user name and secret, you can make a request to trigger a warehouse import.

<CodeGroup>
  ```bash cURL Basic Auth theme={"system"}
  curl -X PUT https://mixpanel.com/api/app/projects/<your_project_id>/warehouse-sources/imports/<your_import_id>/manual-sync \
  	--user "<serviceaccount_username>:<serviceaccount_secret>"
  ```

  ```shell cURL Header theme={"system"}
  curl -X PUT https://mixpanel.com/api/app/projects/<your_project_id>/warehouse-sources/imports/<your_import_id>/manual-sync \
  	--header 'authorization: Basic <serviceaccount_username>:<serviceaccount_secret>'
  ```

  ```python Python Requests theme={"system"}
  import requests
  requests.put(
    'https://mixpanel.com/api/app/projects/<your_project_id>/warehouse-sources/imports/',
    auth=('<serviceaccount_username>', '<serviceaccount_secret>'),
  )
  ```
</CodeGroup>
